Bug 26702 - Отключение 3d-party аддонов в firefox-8
: Отключение 3d-party аддонов в firefox-8
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/firefox)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: https://developer.mozilla.org/en/Inst...
:
:
:
  Show dependency tree
 
Reported: 2011-12-12 19:34 by
Modified: 2012-01-19 01:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-12-12 19:34:42
По-моему, это никакой пользы, кроме вреда, не приносит.
Предлагаю добавить в all-altlinux.js:
pref("extensions.autoDisableScopes", 11);
pref("extensions.shownSelectionUI", true);

Первое разрешает включать аддоны во вновь создаваемом профиле, иначе молча
отключены даже langpack'и, что может вызывать недоумение пользователей (при
установленном firefox-ru, например, английский интерфейс при запуске).
Второе позволяет не отключать установленные аддоны при обновлении, при этом
проверка на совместимость с текущей версией все равно проводится. В общем, как
раньше.
------- Comment #1 From 2011-12-13 14:54:36 -------
(In reply to comment #0)
> По-моему, это никакой пользы, кроме вреда, не приносит.
На линуксе пользы меньше, чем на винде, но она IMHO тоже может быть --
тулбары-то не только adware всякое норовит втулить. (ровно утром обновлял fx на
t6 и размышлял)
------- Comment #2 From 2011-12-13 16:29:53 -------
(В ответ на комментарий №1)
> (In reply to comment #0)
> > По-моему, это никакой пользы, кроме вреда, не приносит.
> На линуксе пользы меньше, чем на винде, но она IMHO тоже может быть --
> тулбары-то не только adware всякое норовит втулить. (ровно утром обновлял fx на
> t6 и размышлял)

Насколько я видел, отключиться при обновлении норовят аддоны из пакетов,
установленные пользователем все рано остаются включенными (в том диалоге,
который появляется при обновлении).
Я думаю, что запакованным в пакеты аддонам из репозитория как раз можно
доверять.
------- Comment #3 From 2011-12-13 17:13:14 -------
Расследование на тему этого бага привело к обнаружению интересных фактов :)
В любом случае тут есть над чем поработать.
------- Comment #4 From 2012-01-19 01:02:59 -------
firefox-9.0.1-alt1 -> sisyphus:

* Mon Jan 09 2012 Alexey Gladkov <legion@altlinux> 9.0.1-alt1
- New releaee (9.0.1).
- Check default browser (ALT#26195).
- Change location for noarch extensions (ALT#26702).
- Add translation for summary and description (ALT#22789).
- Fixed:
  + MFSA 2011-58 Crash scaling <video> to extreme sizes
  + MFSA 2011-57 Crash when plugin removes itself on Mac OS X
  + MFSA 2011-56 Key detection without JavaScript via SVG animation
  + MFSA 2011-55 nsSVGValue out-of-bounds access
  + MFSA 2011-54 Potentially exploitable crash in the YARR regular expression
library
  + MFSA 2011-53 Miscellaneous memory safety hazards (rv:9.0)